Skip to content
WarpStream Documentation
Start Free

POST /api/v1/dl/list_tables

Returns all active Tableflow tables for a given virtual cluster.

Field Type Required Description
virtual_cluster_id string Yes The ID of the Tableflow virtual cluster.
curl [https://api.warpstream.com/api/v1/dl/list_tables](https://api.warpstream.com/api/v1/dl/list_tables) \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "vci_XXXXXXXX_XXXX_XXXX_XXXX_XXXXXXXXXXXX"}'
{
"tables": [
{
"table_name": "my_cluster.my_topic.a1b2c3d4",
"table_uuid": "550e8400-e29b-41d4-a716-446655440000",
"source_stream_name": "my_topic",
"source_cluster_name": "my_cluster",
"stats_estimated_byte_count": 1048576,
"stats_estimated_row_count": 10000,
"created_at_unix_nanos": 1700000000000000000
}
]
}
FieldTypeDescription
tablesarrayList of table objects.
tables[].table_namestringThe full name of the table.
tables[].table_uuidstringThe unique identifier of the table.
tables[].source_stream_namestringThe source Kafka topic name.
tables[].source_cluster_namestringThe name of the source cluster.
tables[].stats_estimated_byte_countintegerEstimated total size of the table in bytes.
tables[].stats_estimated_row_countintegerEstimated total number of rows in the table.
tables[].created_at_unix_nanosintegerTable creation timestamp in nanoseconds since Unix epoch.